subtle - Bug #100

subtler -cCT and -cxT for xterm tags other/no xterm.
07/20/2009 01:24 PM - Thomas Dahms

Status: Fixed Start date: 07/20/2009
Priority: Urgent Due date:

Assignee: Christoph Kappel % Done: 100%
Category: Bugfix Estimated time: 0.00 hour
Target version:

Description

Using subtler -cCT newtag or subtler -cxT newtag on an xterm should add the tag newtag to the focused xterm. However, another
xterm is tagged or none at all. | will provide more details if | can narrow this down.

Btw, this should be issue #100, if nobody was in between. Yeah!

History

#1 - 07/20/2009 02:23 PM - Thomas Dahms

OK, reproduction steps:

Case 1:

1. open one xterm (no rules, tagged default), this shows up in my view origin, to which default is assigned.
2. subtler -va test; subtler -ta test; subtler -v test -T test

3. subtler -cCT test
4. everything is fine, the xterm is on views origin and test, and subtler -cCG outputs default and test.

Case 2:

1. Like above but open two xterms.

2.asincase 1.

3. in the second opened xterm type subtler -cCT test

4. both xterms output default and test from subtler -cCG (which is unexpected), only the first shows in view test (which is also unexpected). No way to
have the second opened on view test.

#2 - 07/20/2009 10:13 PM - Christoph Kappel

- Category set to Bugfix

- Status changed from Unconfirmed to Feedback
- Assignee set to Non member users

- Target version set to 1

- % Done changed from 0 to 100

Issue fixed in #1281 - any feedback?

#3 - 07/22/2009 07:24 AM - Christoph Kappel
- Status changed from Feedback to Fixed
